Specify Xamarin Tools Versions

#1

I was curious if it is possible to specify a specific version of Xamarin.iOS ( and likely Mono ) for a Xamarin.Forms build? Our project doesn’t build on more recent versions due to a change the static registrar in Xamarin.iOS.

0 Likes

#2

Hi @rtolliver,

Thanks for asking this here! :wink:

Right now we have two kinds of Xamarin stacks:

  • the standard (non LTS) stable, alpha and beta; these are updated to the latest Xamarin updates every weekend (as well as to the latest Xcode version with one week delay)
  • an LTS (Long Term Support) Xamarin Stable, where neither Xamarin nor Xcode versions are updated

You can read more about the stack and update types at How are the bitrise.io stacks updated and with what frequency? What's the stack deprecation / removal policy? and you can see which tools and what versions are available on each stack at https://github.com/bitrise-io/bitrise.io/tree/master/system_reports

If you have any questions just let us know!
Happy Building! :blush:

0 Likes

#3

Note : you might be able to install older / specific versions, but you’ll have to do it yourself, probably using the Script step (http://devcenter.bitrise.io/tips-and-tricks/install-additional-tools/). Right now these are the stacks we have / the versions we have preinstalled (the ones in my previous comment).

If that wouldn’t be enough, feel free to create a #feature-request, with details about the stack you’d like to see (update schedule, etc).

0 Likes